Bug 463121 - plasma_applet_tasks.so useless with high window count
plasma_applet_tasks.so useless with high window count
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: kdebase-workspace (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-21 19:10 EDT by Michael McLagan
Modified: 2008-09-28 17:20 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-28 17:20:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 171680 None None None Never

  None (edit)
Description Michael McLagan 2008-09-21 19:10:04 EDT
Description of problem:

The single row format imposed by kde 4.1 is unusable with many open windows.  Previously, additional rows were opened to at least show the icon of each open window.  Now, the space allocated to each task is shrunk to the point of being invisible -- the task bar shows as all black as if each task has been reduced to single digit pixel counts.  

Version-Release number of selected component (if applicable):

kdebase-workspace-4.1.0-8.fc9.i386

How reproducible:

Always

Steps to Reproduce:
1.  Start KDE 4.1
2.  Open 40+ task windows
3.  
  
Actual results:

Tasks become invisible, reduced to point where even mini icon is invisible

Expected results:

Second or third row of tasks is shown with a minimum of the icon shown.

Additional info:

This did not happen with previous versions.
Comment 1 Ngo Than 2008-09-22 09:26:24 EDT
could you please try kde-4.1.1 in F9-updates? does it still show up in new version?
Comment 2 Rex Dieter 2008-09-22 09:37:10 EDT
I can confirm at least (just by launching a whole bunch of konsoles).

Michael, 
Ideally, this is something that really should be sent upstream to bugs.kde.org
Comment 3 Steven M. Parrish 2008-09-25 19:34:58 EDT
Thanks for the report.  I checked upstream and could not find a matching bug.Please file a bug report in the the upstream bugzilla located at http://bugs.kde.org for the particular component involved.

Once you've filed your bug report to the upstream bugzilla, please add the upstream info to this report. We will continue to track the issue in the centralized upstream bug tracker, and will review any bug fixes that become available for consideration in future updates.

Setting status to NEEDINFO, and awaiting upstream bug report URL for tracking.

Thanks in advance.
Comment 4 Michael McLagan 2008-09-26 17:37:28 EDT
I added the KDE bug number to this one.
Comment 5 Steven M. Parrish 2008-09-28 17:20:43 EDT
We will continue to track the issue in the centralized upstream bug tracker, and will review any bug fixes that become available for consideration in future updates.

Thank you for the bug report.

Note You need to log in before you can comment on or make changes to this bug.